@Manual{R-base,
  title = {R: A Language and Environment for Statistical Computing},
  author = {{R Core Team}},
  organization = {R Foundation for Statistical Computing},
  address = {Vienna, Austria},
  year = {2020},
  url = {https://www.R-project.org/},
}

@Manual{R-bookdown,
  title = {bookdown: Authoring Books and Technical Documents with R Markdown},
  author = {Yihui Xie},
  year = {2021},
  note = {R package version 0.23},
  url = {https://CRAN.R-project.org/package=bookdown},
}

@Manual{R-cowplot,
  title = {cowplot: Streamlined Plot Theme and Plot Annotations for ggplot2},
  author = {Claus O. Wilke},
  year = {2020},
  note = {R package version 1.1.1},
  url = {https://wilkelab.org/cowplot/},
}

@Manual{R-dplyr,
  title = {dplyr: A Grammar of Data Manipulation},
  author = {Hadley Wickham and Romain François and Lionel Henry and Kirill Müller},
  year = {2021},
  note = {R package version 1.0.5},
  url = {https://CRAN.R-project.org/package=dplyr},
}

@Manual{R-flextable,
  title = {flextable: Functions for Tabular Reporting},
  author = {David Gohel},
  year = {2021},
  note = {R package version 0.6.5},
  url = {https://CRAN.R-project.org/package=flextable},
}

@Manual{R-ggplot2,
  title = {ggplot2: Create Elegant Data Visualisations Using the Grammar of Graphics},
  author = {Hadley Wickham and Winston Chang and Lionel Henry and Thomas Lin Pedersen and Kohske Takahashi and Claus Wilke and Kara Woo and Hiroaki Yutani and Dewey Dunnington},
  year = {2020},
  note = {R package version 3.3.3},
  url = {https://CRAN.R-project.org/package=ggplot2},
}

@Manual{R-ggpubr,
  title = {ggpubr: ggplot2 Based Publication Ready Plots},
  author = {Alboukadel Kassambara},
  year = {2020},
  note = {R package version 0.4.0},
  url = {https://rpkgs.datanovia.com/ggpubr/},
}

@Manual{R-ggthemes,
  title = {ggthemes: Extra Themes, Scales and Geoms for ggplot2},
  author = {Jeffrey B. Arnold},
  year = {2021},
  note = {R package version 4.2.4},
  url = {https://github.com/jrnold/ggthemes},
}

@Manual{R-gridExtra,
  title = {gridExtra: Miscellaneous Functions for "Grid" Graphics},
  author = {Baptiste Auguie},
  year = {2017},
  note = {R package version 2.3},
  url = {https://CRAN.R-project.org/package=gridExtra},
}

@Manual{R-knitr,
  title = {knitr: A General-Purpose Package for Dynamic Report Generation in R},
  author = {Yihui Xie},
  year = {2021},
  note = {R package version 1.31},
  url = {https://yihui.org/knitr/},
}

@Manual{R-lubridate,
  title = {lubridate: Make Dealing with Dates a Little Easier},
  author = {Vitalie Spinu and Garrett Grolemund and Hadley Wickham},
  year = {2021},
  note = {R package version 1.7.10},
  url = {https://CRAN.R-project.org/package=lubridate},
}

@Manual{R-officer,
  title = {officer: Manipulation of Microsoft Word and PowerPoint Documents},
  author = {David Gohel},
  year = {2021},
  note = {R package version 0.3.18},
  url = {https://CRAN.R-project.org/package=officer},
}

@Manual{R-patchwork,
  title = {patchwork: The Composer of Plots},
  author = {Thomas Lin Pedersen},
  year = {2020},
  note = {R package version 1.1.1},
  url = {https://CRAN.R-project.org/package=patchwork},
}

@Manual{R-readr,
  title = {readr: Read Rectangular Text Data},
  author = {Hadley Wickham and Jim Hester},
  year = {2020},
  note = {R package version 1.4.0},
  url = {https://CRAN.R-project.org/package=readr},
}

@Manual{R-readxl,
  title = {readxl: Read Excel Files},
  author = {Hadley Wickham and Jennifer Bryan},
  year = {2019},
  note = {R package version 1.3.1},
  url = {https://CRAN.R-project.org/package=readxl},
}

@Manual{R-rmarkdown,
  title = {rmarkdown: Dynamic Documents for R},
  author = {JJ Allaire and Yihui Xie and Jonathan McPherson and Javier Luraschi and Kevin Ushey and Aron Atkins and Hadley Wickham and Joe Cheng and Winston Chang and Richard Iannone},
  year = {2021},
  note = {R package version 2.10},
  url = {https://CRAN.R-project.org/package=rmarkdown},
}

@Manual{R-scales,
  title = {scales: Scale Functions for Visualization},
  author = {Hadley Wickham and Dana Seidel},
  year = {2020},
  note = {R package version 1.1.1},
  url = {https://CRAN.R-project.org/package=scales},
}

@Manual{R-shiny,
  title = {shiny: Web Application Framework for R},
  author = {Winston Chang and Joe Cheng and JJ Allaire and Carson Sievert and Barret Schloerke and Yihui Xie and Jeff Allen and Jonathan McPherson and Alan Dipert and Barbara Borges},
  year = {2021},
  note = {R package version 1.6.0},
  url = {https://shiny.rstudio.com/},
}

@Manual{R-soiltexture,
  title = {soiltexture: Functions for Soil Texture Plot, Classification and
Transformation},
  author = {Julien Moeys},
  year = {2018},
  note = {R package version 1.5.1},
  url = {https://github.com/julienmoeys/soiltexture},
}

@Manual{R-SticsPubRTools,
  title = {SticsPubRTools: Help functionalities for formatting Rmarkdown documents},
  author = {Patrice Lecharpentier},
  year = {2019},
  note = {R package version 0.1.0.9000},
  url = {https://github.com/SticsRPacks/SticsRFiles},
}

@Manual{R-SticsRFiles,
  title = {SticsRFiles: Read And Modify STICS Input/Output Files},
  author = {Patrice Lecharpentier and Remi Vezy and {SticsRPacks}},
  year = {2021},
  note = {R package version 0.4.2},
  url = {https://github.com/SticsRPacks/SticsRFiles},
}

@Manual{R-tidyr,
  title = {tidyr: Tidy Messy Data},
  author = {Hadley Wickham},
  year = {2021},
  note = {R package version 1.1.3},
  url = {https://CRAN.R-project.org/package=tidyr},
}

@Book{bookdown2016,
  title = {bookdown: Authoring Books and Technical Documents with {R} Markdown},
  author = {Yihui Xie},
  publisher = {Chapman and Hall/CRC},
  address = {Boca Raton, Florida},
  year = {2016},
  note = {ISBN 978-1138700109},
  url = {https://bookdown.org/yihui/bookdown},
}

@Book{ggplot22016,
  author = {Hadley Wickham},
  title = {ggplot2: Elegant Graphics for Data Analysis},
  publisher = {Springer-Verlag New York},
  year = {2016},
  isbn = {978-3-319-24277-4},
  url = {https://ggplot2.tidyverse.org},
}

@Book{knitr2015,
  title = {Dynamic Documents with {R} and knitr},
  author = {Yihui Xie},
  publisher = {Chapman and Hall/CRC},
  address = {Boca Raton, Florida},
  year = {2015},
  edition = {2nd},
  note = {ISBN 978-1498716963},
  url = {https://yihui.org/knitr/},
}

@InCollection{knitr2014,
  booktitle = {Implementing Reproducible Computational Research},
  editor = {Victoria Stodden and Friedrich Leisch and Roger D. Peng},
  title = {knitr: A Comprehensive Tool for Reproducible Research in {R}},
  author = {Yihui Xie},
  publisher = {Chapman and Hall/CRC},
  year = {2014},
  note = {ISBN 978-1466561595},
  url = {http://www.crcpress.com/product/isbn/9781466561595},
}

@Article{lubridate2011,
  title = {Dates and Times Made Easy with {lubridate}},
  author = {Garrett Grolemund and Hadley Wickham},
  journal = {Journal of Statistical Software},
  year = {2011},
  volume = {40},
  number = {3},
  pages = {1--25},
  url = {https://www.jstatsoft.org/v40/i03/},
}

@Book{rmarkdown2018,
  title = {R Markdown: The Definitive Guide},
  author = {Yihui Xie and J.J. Allaire and Garrett Grolemund},
  publisher = {Chapman and Hall/CRC},
  address = {Boca Raton, Florida},
  year = {2018},
  note = {ISBN 9781138359338},
  url = {https://bookdown.org/yihui/rmarkdown},
}

@Book{rmarkdown2020,
  title = {R Markdown Cookbook},
  author = {Yihui Xie and Christophe Dervieux and Emily Riederer},
  publisher = {Chapman and Hall/CRC},
  address = {Boca Raton, Florida},
  year = {2020},
  note = {ISBN 9780367563837},
  url = {https://bookdown.org/yihui/rmarkdown-cookbook},
}

@Manual{rstudio2021,
    title = {RStudio: Integrated Development Environment for R},
    author = {{RStudio Team}},
    organization = {RStudio, PBC},
    address = {Boston, MA},
    year = {2021},
    url = {http://www.rstudio.com/},
}
